Add a person to a customer
POST
/v1/workspace/organizations/{organization_id}/people
const url = 'https://api.vocapable.com/v1/workspace/organizations/example/people';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"first_name":"example","last_name":"example","title":"example","email":"example","phone_e164":"example","timezone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/organizations/example/people \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "first_name": "example", "last_name": "example", "title": "example", "email": "example", "phone_e164": "example", "timezone": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organization_id
required
Organization Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspacePersonCreate
object
Examplegenerated
{ "first_name": "example", "last_name": "example", "title": "example", "email": "example", "phone_e164": "example", "timezone": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspacePerson
One person (a contacts row) inside a relationship.
object
contact_id
required
Contact Id
string
display_name
required
Display Name
string
phone_e164
required
Phone E164
string
owner
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
do_not_contact
required
Do Not Contact
boolean
contact_points
required
Contact Points
Array<object>
WorkspaceContactPointobject
policy
required
WorkspacePolicySummary
The current contact-policy answer for the viewing person, on one channel.
object
channel
required
Channel
string
allowed
required
Allowed
boolean
holds
required
Holds
Array<object>
WorkspacePolicyHoldobject
code
required
Code
string
message
required
Message
string
recovery
required
Recovery
string
evaluated_at
required
Evaluated At
string format: date-time
policy_version
required
Policy Version
string
window_jurisdictions
Window Jurisdictions
Array<string>
Example
{ "contact_points": [ { "kind": "phone" } ], "policy": { "channel": "voice", "holds": [ { "code": "do_not_contact" } ] }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}